org.appng.appngizer.model

## Class Site

- java.lang.Object
- - org.appng.appngizer.model.xml.Linkable
  - - org.appng.appngizer.model.xml.Nameable
    - - org.appng.appngizer.model.xml.Site
      - - org.appng.appngizer.model.Site

- All Implemented Interfaces:
    UriAware

      public class Site
      extends Site
      implements UriAware

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.appng.appngizer.model.xml.Site

      `Site.HostAliases`

  - ### Field Summary

    - ### Fields inherited from class org.appng.appngizer.model.xml.Site

      `active, createRepositoryPath, description, domain, host, hostAliases`

    - ### Fields inherited from class org.appng.appngizer.model.xml.Nameable

      `name`

    - ### Fields inherited from class org.appng.appngizer.model.xml.Linkable

      `links, self`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Site(String name)`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static Site` | `fromDomain(SiteImpl siteImpl)`
    `static SiteImpl` | `toDomain(Site s)`

    - ### Methods inherited from class org.appng.appngizer.model.xml.Site

      `getDescription, getDomain, getHost, getHostAliases, isActive, isCreateRepositoryPath, setActive, setCreateRepositoryPath, setDescription, setDomain, setHost, setHostAliases`

    - ### Methods inherited from class org.appng.appngizer.model.xml.Nameable

      `getName, setName`

    - ### Methods inherited from class org.appng.appngizer.model.xml.Linkable

      `getLinks, getSelf, setLinks, setSelf`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.appng.appngizer.model.UriAware

      `addLink, applyUriComponents, encode, getLinks, getSelf, setLinks, setSelf`

- - ### Constructor Detail

    - #### Site

          public Site(String name)

  - ### Method Detail

    - #### fromDomain

          public static Site fromDomain(SiteImpl siteImpl)

    - #### toDomain

          public static SiteImpl toDomain(Site s)

Copyright © 2011–2023 aiticon GmbH. All rights reserved.